Skip to main content
Version: Next

Income REST API

Endpoints the node exposes under /centerchain/income/*.

Endpoints​

GET /centerchain/income/v1/claimable/{address}​

NameInTypeRequiredDescription
addresspathstringyes

Response 200: centerchain.income.v1.QueryClaimableResponse

GET /centerchain/income/v1/config/{denom}​

NameInTypeRequiredDescription
denompathstringyes

Response 200: centerchain.income.v1.QueryIncomeConfigResponse

GET /centerchain/income/v1/params​

Response 200: centerchain.income.v1.QueryParamsResponse

GET /centerchain/income/v1/stats/{denom}​

NameInTypeRequiredDescription
denompathstringyesdenom is the eligibility denom whose streams are aggregated.

Response 200: centerchain.income.v1.QueryStatsResponse

GET /centerchain/income/v1/stream/{address}/{eligibility_denom}/{reward_denom}​

NameInTypeRequiredDescription
addresspathstringyes
eligibility_denompathstringyes
reward_denompathstringyes

Response 200: centerchain.income.v1.QueryAccountStreamResponse

GET /centerchain/income/v1/streams​

NameInTypeRequiredDescription
pagination.keyquerystring (byte)nokey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
pagination.offsetquerystring (uint64)nooffset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
pagination.limitquerystring (uint64)nolimit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
pagination.count_totalquerybooleannocount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
pagination.reversequerybooleannoreverse is set to true if results are to be returned in the descending order.

Response 200: centerchain.income.v1.QueryAllStreamsResponse